import { ConfigurationService } from '../configuration/configuration.service';
export declare class SettingService {
    private configurationService;
    private configuration;
    private cache;
    constructor(configurationService: ConfigurationService);
    private init;
    private getKey;
    hasKey(key: string | object): Promise<boolean>;
    set<T = any>(key: string | object, value: T, args?: any): Promise<void>;
    get<T = any>(key: string | object, args?: any): Promise<T>;
    remove(key: string | object, args?: any): Promise<void>;
}
